LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::awt::FontWeight Constant Group Referencepublished

These values are used to specify whether a font is thin or bold. More...

## Variables
const float | DONTKNOW = 0.000000
| The font weight is not specified/known. More...
const float | THIN = 50.000000
| specifies a 50% font weight. More...
const float | ULTRALIGHT = 60.000000
| specifies a 60% font weight. More...
const float | LIGHT = 75.000000
| specifies a 75% font weight. More...
const float | SEMILIGHT = 90.000000
| specifies a 90% font weight. More...
const float | NORMAL = 100.000000
| specifies a normal font weight. More...
const float | SEMIBOLD = 110.000000
| specifies a 110% font weight. More...
const float | BOLD = 150.000000
| specifies a 150% font weight. More...
const float | ULTRABOLD = 175.000000
| specifies a 175% font weight. More...
const float | BLACK = 200.000000
| specifies a 200% font weight. More...

## Detailed Description

These values are used to specify whether a font is thin or bold.

They may be expanded in future versions.

## Variable Documentation

## ◆ BLACK

const float BLACK = 200.000000

specifies a 200% font weight.

## ◆ BOLD

const float BOLD = 150.000000

specifies a 150% font weight.

## ◆ DONTKNOW

const float DONTKNOW = 0.000000

The font weight is not specified/known.

## ◆ LIGHT

const float LIGHT = 75.000000

specifies a 75% font weight.

## ◆ NORMAL

const float NORMAL = 100.000000

specifies a normal font weight.

## ◆ SEMIBOLD

const float SEMIBOLD = 110.000000

specifies a 110% font weight.

## ◆ SEMILIGHT

const float SEMILIGHT = 90.000000

specifies a 90% font weight.

## ◆ THIN

const float THIN = 50.000000

specifies a 50% font weight.

## ◆ ULTRABOLD

const float ULTRABOLD = 175.000000

specifies a 175% font weight.

## ◆ ULTRALIGHT

const float ULTRALIGHT = 60.000000

specifies a 60% font weight.